# FoundationClasses
TKMath
math

# math_KronrodSingleIntegration Class Reference

This class implements the Gauss-Kronrod method of
integral computation.
.

`#include <math_KronrodSingleIntegration.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_KronrodSingleIntegration ()
| An empty constructor. .
Standard_EXPORT | math_KronrodSingleIntegration (math_Function &theFunction, const Standard_Real theLower, const Standard_Real theUpper, const Standard_Integer theNbPnts)
| Constructor. Takes the function, the lower and upper bound values, the initial number of Kronrod points .
Standard_EXPORT | math_KronrodSingleIntegration (math_Function &theFunction, const Standard_Real theLower, const Standard_Real theUpper, const Standard_Integer theNbPnts, const Standard_Real theTolerance, const Standard_Integer theMaxNbIter)
| Constructor. Takes the function, the lower and upper bound values, the initial number of Kronrod points, the tolerance value and the maximal number of iterations as parameters. .
Standard_EXPORT void | Perform (math_Function &theFunction, const Standard_Real theLower, const Standard_Real theUpper, const Standard_Integer theNbPnts)
| Computation of the integral. Takes the function, the lower and upper bound values, the initial number of Kronrod points, the relative tolerance value and the maximal number of iterations as parameters. theNbPnts should be odd and greater then or equal to 3. .
Standard_EXPORT void | Perform (math_Function &theFunction, const Standard_Real theLower, const Standard_Real theUpper, const Standard_Integer theNbPnts, const Standard_Real theTolerance, const Standard_Integer theMaxNbIter)

Computation of the integral. Takes the function,
the lower and upper bound values, the initial number
of Kronrod points, the relative tolerance value and the
maximal number of iterations as parameters.
theNbPnts should be odd and greater then or equal to 3.
Note that theTolerance is relative, i.e. the criterion of
solution reaching is:
Abs(Kronrod - Gauss)/Abs(Kronrod) < theTolerance.
theTolerance should be positive.
.

Standard_Boolean | IsDone () const
| Returns Standard_True if computation is performed successfully. .
Standard_Real | Value () const
| Returns the value of the integral. .
Standard_Real | ErrorReached () const
| Returns the value of the relative error reached. .
Standard_Real | AbsolutError () const
| Returns the value of the relative error reached. .
Standard_Integer | OrderReached () const
| Returns the number of Kronrod points for which the result is computed. .
Standard_Integer | NbIterReached () const
| Returns the number of iterations that were made to compute result. .

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | GKRule (math_Function &theFunction, const Standard_Real theLower, const Standard_Real theUpper, const math_Vector &theGaussP, const math_Vector &theGaussW, const math_Vector &theKronrodP, const math_Vector &theKronrodW, Standard_Real &theValue, Standard_Real &theError)

## Private Attributes

Standard_Boolean | myIsDone
Standard_Real | myValue
Standard_Real | myErrorReached
Standard_Real | myAbsolutError
Standard_Integer | myNbPntsReached
Standard_Integer | myNbIterReached

## Constructor & Destructor Documentation

Standard_EXPORT math_KronrodSingleIntegration::math_KronrodSingleIntegration | ( |  | ) |

Standard_EXPORT math_KronrodSingleIntegration::math_KronrodSingleIntegration | ( | math_Function & | theFunction,
|  | const Standard_Real | theLower,
|  | const Standard_Real | theUpper,
|  | const Standard_Integer | theNbPnts
| ) |

Standard_EXPORT math_KronrodSingleIntegration::math_KronrodSingleIntegration | ( | math_Function & | theFunction,
|  | const Standard_Real | theLower,
|  | const Standard_Real | theUpper,
|  | const Standard_Integer | theNbPnts,
|  | const Standard_Real | theTolerance,
|  | const Standard_Integer | theMaxNbIter
| ) |

## Member Function Documentation

Standard_Real math_KronrodSingleIntegration::AbsolutError | ( |  | ) | const`[inline]`

Standard_Real math_KronrodSingleIntegration::ErrorReached | ( |  | ) | const`[inline]`

static Standard_EXPORT Standard_Boolean math_KronrodSingleIntegration::GKRule | ( | math_Function & | theFunction,
|  | const Standard_Real | theLower,
|  | const Standard_Real | theUpper,
|  | const math_Vector & | theGaussP,
|  | const math_Vector & | theGaussW,
|  | const math_Vector & | theKronrodP,
|  | const math_Vector & | theKronrodW,
|  | Standard_Real & | theValue,
|  | Standard_Real & | theError
| ) | `[static]`

Standard_Boolean math_KronrodSingleIntegration::IsDone | ( |  | ) | const`[inline]`

Standard_Integer math_KronrodSingleIntegration::NbIterReached | ( |  | ) | const`[inline]`

void math_KronrodSingleIntegration::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_KronrodSingleIntegration::operator new | ( | size_t | size | ) | `[inline]`

void* math_KronrodSingleIntegration::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer math_KronrodSingleIntegration::OrderReached | ( |  | ) | const`[inline]`

Standard_EXPORT void math_KronrodSingleIntegration::Perform | ( | math_Function & | theFunction,
|  | const Standard_Real | theLower,
|  | const Standard_Real | theUpper,
|  | const Standard_Integer | theNbPnts,
|  | const Standard_Real | theTolerance,
|  | const Standard_Integer | theMaxNbIter
| ) |

Standard_EXPORT void math_KronrodSingleIntegration::Perform | ( | math_Function & | theFunction,
|  | const Standard_Real | theLower,
|  | const Standard_Real | theUpper,
|  | const Standard_Integer | theNbPnts
| ) |

Standard_Real math_KronrodSingleIntegration::Value | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Real math_KronrodSingleIntegration::myAbsolutError `[private]`

Standard_Real math_KronrodSingleIntegration::myErrorReached `[private]`

Standard_Boolean math_KronrodSingleIntegration::myIsDone `[private]`

Standard_Integer math_KronrodSingleIntegration::myNbIterReached `[private]`

Standard_Integer math_KronrodSingleIntegration::myNbPntsReached `[private]`

Standard_Real math_KronrodSingleIntegration::myValue `[private]`

The documentation for this class was generated from the following files:

- math_KronrodSingleIntegration.hxx
- math_KronrodSingleIntegration.lxx